@import url('https://fonts.googleapis.com/css2?family=Metal+Mania&family=New+Rocker&display=swap');

body {
    margin: 0px;
    background-image: url("0-Assets/bg_home.png");
    background-repeat: repeat;
    background-position: center;
    background-size: 10%;
    cursor: url("0-Assets/razorbladecursor.png"), auto;
}


.bloodlet {
    position: fixed;
    pointer-events: none;
    background-image: url("0-Assets/bloodling.png");
    background-size: cover;
    transform: translateY(0);
    z-index: 99999;
}

@keyframes fall {
    to {
        transform: translateY(var(--fall-distance)) scale(var(--scale));
    }
}

a, a:hover, a:visited:hover, button {
    cursor: url("0-Assets/razorbladecursorselect.png"), auto;
    font-family: 'New Rocker', system-ui;
}

p, h1, h2, h3, h4, h5, h6, li {
    font-family: 'New Rocker', system-ui;
}

#warning_block {
    display: block;
    text-align: center;
    background-color: #a6c8ef;
    color: #3e5163;
    width: 100%;
    min-height: 100%;
    left: 0px;
    top: 0px;
    position: absolute;
    cursor: url("0-Assets/heartcursor.png"), auto;
}

#warning_block p, h2, h3, h4, h5, h6, li {
    margin: 15px;
}

#warning_block ul {
    text-align: center !important;
    list-style-position: inside;
}

#warning_block button {
    color: #6d859c;
    background-color: #b8d2f3;
    border: none;
    border-radius: 20px;
    font-size: 20px;
    padding: 15px;
    margin: 0px 15px 30px;
    cursor: url("0-Assets/heartcursorselect.png"), auto;
}

#warning_block button:hover {
    color: #6d859c;
    background-color: #a3b9d4;
    cursor: url("0-Assets/heartcursorselect.png"), auto;
}

#warning_block a, a:visited {
    color: #6d859c;
    cursor: url("0-Assets/heartcursorselect.png"), auto;
}

#warning_block a:hover, a:visited:hover {
    color: #8cabc8;
    cursor: url("0-Assets/heartcursorselect.png"), auto;
}

#main_body {
    overflow: hidden;
    margin: 0px;
    width: 100vw;
    height: 100vh;
    min-height: 100%;
    max-height: 100vh;
    left: 0px;
    top: 0px;
    position: sticky;
}

.top {
    width: 90vw;
    height: 25vh;
    margin: 2vh 5vw;
}

#banner {
    width: 100%;
    height: 75%;
    background-color: chartreuse;
    border-radius: 20px 20px 0px 0px;
}

#nav-bar {
    width: 100%;
    height: 25%;
    background-color: aqua;
    border-radius: 0px 0px 20px 20px;
}

#nav-bar ul {
    height: 100%;
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
}

#nav-bar ul li {
    display: inline-block;
    margin: 0px;
    width: fit-content;
    padding: 10px;
    max-height: 100%;
}

#nav-bar ul li a {
    display: block;
    color: black;
    text-align: center;
    text-decoration: none;
}

#nav-bar ul li a:hover {
    background-color: crimson;
}

#nav-bar ul li:not(:last-child)::after {
    content: url("0-Assets/knifeicon.png");
    display: inline-block;
    height: 21px;
    width: 20px;
    top: 0px;
    right: 0px;
}

.left {
    float: left;
    width: 20vw;
    height: 69vh;
    margin: 0 2vw 2vh 5vw;
    border-radius: 20px;
    background-color: antiquewhite;
}

.center-content {
    float: right;
    width: 68vw;
    height: 69vh;
    margin: 0 5vw 2vh 0;
    border-radius: 20px;
    background-color: aquamarine;
}